<?xml version="1.0" encoding="UTF-8"?>

<beans xmlns="http://www.springframework.org/schema/beans"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:context="http://www.springframework.org/schema/context"
	xsi:schemaLocation="http://www.springframework.org/schema/beans
http://www.springframework.org/schema/beans/spring-beans.xsd
http://www.springframework.org/schema/context
http://www.springframework.org/schema/context/spring-context.xsd">

	<!-- Load the properties file infos.properties. -->
	<context:property-placeholder location="classpath:infos.properties" />

	<!-- Define your beans here. -->
	<bean id="serviceHappyFortune" class="fr.benoit.HappyFortuneService">
	</bean>

	<bean id="coachBasket" class="fr.benoit.BasketCoach" init-method="myInitMethod" 
	destroy-method="myDestroyMethod">
		<!-- Set up constructor injection -->
		<property name="ifs" ref="serviceHappyFortune" />
		<property name="email" value="${foo.email}" />
		<property name="team" value="${foo.team}" />
	</bean>

	<!-- C'est le scope singleton par défaut. -->
	<bean id="coachBaseball" class="fr.benoit.BaseballCoach" scope="singleton">
		<!-- Set up constructor injection -->
		<constructor-arg ref="serviceHappyFortune" />
	</bean>

	<bean id="coachFootball" class="fr.benoit.FootballCoach" scope="prototype">
		<!-- Set up constructor injection -->
		<constructor-arg ref="serviceHappyFortune" />
	</bean>

</beans>